Bug 1293684 - kpartsplugin in Firefox: The process for the file protocol died unexpectedly.
kpartsplugin in Firefox: The process for the file protocol died unexpectedly.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kpartsplugin (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 11:50 EST by reescf
Modified: 2016-12-20 12:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:18:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description reescf 2015-12-22 11:50:55 EST
Description of problem:

If viewing a PDF in Firefox using kpartsplugin, attempting to save a copy fails with the error "The process for the file protocol died unexpectedly." Saving a PDF using the built-in PDF viewer, with kpartsplugin disabled, saves the file as expected. (However, no file dialogue is displayed here so perhaps that's the problem.)

Version-Release number of selected component (if applicable):

Name        : kpartsplugin
Arch        : x86_64
Epoch       : 0
Version     : 0.0.1
Release     : 0.14.20120723.fc23

Name        : firefox
Arch        : x86_64
Epoch       : 0
Version     : 43.0
Release     : 1.fc23

How reproducible:

Every time.


Steps to Reproduce:
1. Enable kpartsplugin in Firefox.
2. Open PDF in browser.
3. Choose to save a copy using button on bar or menu.
4. Wait for a bit after dialogue displays.

Actual results:

Fails with above error. No files or sub-directories are displayed. (Directories are listed on the left of the dialogue - the framing stuff all displays and seems to work fine, but nothing in the main bit. File is not saved.

Entering a file location directly also fails with an error saying that the file could not be saved in the requested location and to try somewhere else. (But the location is not the problem - Firefox's built-in viewer can save files just fine.)

Expected results:

File dialogue displays existing files and sub-directories in main window. File is saved.


Additional info:

Upgraded from fedora 21 yesterday. Problem manifests on first launch of Firefox and subsequent launches.
Comment 1 Fedora End Of Life 2016-11-24 09:27:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:18:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.